commit 32b84b2ed145eb297d955ef52fbc981d21a60db4
Author: Rafael J. García Perdigón <root@RafaDebian.gobex.pri>
Date:   Wed Jun 7 08:06:59 2017 +0200

    Añadidos trusty:linex-geogebra, linex-matematicas ;  y xenial:linex-electricidad

diff --git a/ubuntu/trusty/all/linex-geogebra/debian/changelog b/ubuntu/trusty/all/linex-geogebra/debian/changelog
new file mode 100644
index 0000000..3943a35
--- /dev/null
+++ b/ubuntu/trusty/all/linex-geogebra/debian/changelog
@@ -0,0 +1,5 @@
+linex-geogebra (1.0) linex; urgency=medium
+
+  * Initial release.
+
+ -- Rafael J. García Perdigón <rafael.garciap@gobex.es>  Fri, 13 Jan 2017 10:58:17 +0100
diff --git a/ubuntu/trusty/all/linex-geogebra/debian/compat b/ubuntu/trusty/all/linex-geogebra/debian/compat
new file mode 100644
index 0000000..45a4fb7
--- /dev/null
+++ b/ubuntu/trusty/all/linex-geogebra/debian/compat
@@ -0,0 +1 @@
+8
diff --git a/ubuntu/trusty/all/linex-geogebra/debian/control b/ubuntu/trusty/all/linex-geogebra/debian/control
new file mode 100644
index 0000000..995aba1
--- /dev/null
+++ b/ubuntu/trusty/all/linex-geogebra/debian/control
@@ -0,0 +1,13 @@
+Source: linex-geogebra
+Section: metapackages
+Priority: extra
+Maintainer: Rafael Jesús García Perdigón<rafael.garciap@gobex.es>
+Build-Depends: debhelper (>= 8.0.0)
+Standards-Version: 3.9.4
+
+Package: linex-geogebra
+Architecture: all
+Depends: geogebra5
+Description:  Dynamic mathematics software for education
+	Calculadora gráfica para Geometría, Álgebra, 
+	Cálculo, Estadística y 3D.
diff --git a/ubuntu/trusty/all/linex-geogebra/debian/copyright b/ubuntu/trusty/all/linex-geogebra/debian/copyright
new file mode 100644
index 0000000..5ce0e83
--- /dev/null
+++ b/ubuntu/trusty/all/linex-geogebra/debian/copyright
@@ -0,0 +1,23 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: lingobex-core
+Source: https://lindevel.eco.pri/trac/lingobex/browser/paquetes/lingobex-core
+
+Files: *
+Copyright: 2013 Gobierno de Extremadura
+License: GPL-2+
+ This package is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 2 of the License, or
+ (at your option) any later version.
+ .
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <http://www.gnu.org/licenses/>
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".
+
diff --git a/ubuntu/trusty/all/linex-geogebra/debian/rules b/ubuntu/trusty/all/linex-geogebra/debian/rules
new file mode 100755
index 0000000..b760bee
--- /dev/null
+++ b/ubuntu/trusty/all/linex-geogebra/debian/rules
@@ -0,0 +1,13 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+%:
+	dh $@ 
diff --git a/ubuntu/trusty/all/linex-matematicas/debian/changelog b/ubuntu/trusty/all/linex-matematicas/debian/changelog
new file mode 100644
index 0000000..e932fc8
--- /dev/null
+++ b/ubuntu/trusty/all/linex-matematicas/debian/changelog
@@ -0,0 +1,11 @@
+linex-matematicas (1.1) linex; urgency=medium
+
+  * Changed dependence from geogebra to linex-geogebra.
+
+ -- Rafael J. García Perdigón <rafael.garciap@gobex.es>  Fri, 13 Jan 2017 10:56:23 +0100
+
+linex-matematicas (1.0) linex; urgency=low
+
+  * Initial release. 
+
+ -- Rafael J. García Perdigón <rafael.garciap@gobex.es>  Wed, 29 Oct 2014 10:44:27 +0100
diff --git a/ubuntu/trusty/all/linex-matematicas/debian/compat b/ubuntu/trusty/all/linex-matematicas/debian/compat
new file mode 100644
index 0000000..45a4fb7
--- /dev/null
+++ b/ubuntu/trusty/all/linex-matematicas/debian/compat
@@ -0,0 +1 @@
+8
diff --git a/ubuntu/trusty/all/linex-matematicas/debian/control b/ubuntu/trusty/all/linex-matematicas/debian/control
new file mode 100644
index 0000000..7943734
--- /dev/null
+++ b/ubuntu/trusty/all/linex-matematicas/debian/control
@@ -0,0 +1,22 @@
+Source: linex-matematicas
+Section: metapackages
+Priority: extra
+Maintainer: Rafael Jesús García Perdigón<rafael.garciap@gobex.es>
+Build-Depends: debhelper (>= 8.0.0)
+Standards-Version: 3.9.4
+
+Package: linex-matematicas
+Architecture: all
+Depends: linex-education-menus,
+  cantor,
+  drgeo,
+  linex-geogebra,
+  kalgebra,
+  kbruch,
+  kig,
+  kmplot,
+  qtiplot,
+  tuxmath,
+  wxmaxima
+Description: Install math packages.
+  Install math packages.
diff --git a/ubuntu/trusty/all/linex-matematicas/debian/copyright b/ubuntu/trusty/all/linex-matematicas/debian/copyright
new file mode 100644
index 0000000..6d796f6
--- /dev/null
+++ b/ubuntu/trusty/all/linex-matematicas/debian/copyright
@@ -0,0 +1,28 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: lingobex-desktop-theme
+
+Files: *
+Copyright: 2014 Gobierno de Extremadura
+License: GPL-3.0+
+
+Files: debian/*
+Copyright: 2014 Gobierno de Extremadura
+License: GPL-3.0+
+
+License: GPL-3.0+
+ This program is free software: you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation, either version 3 of the License, or
+ (at your option) any later version.
+ .
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <http://www.gnu.org/licenses/>.
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".
+
diff --git a/ubuntu/trusty/all/linex-matematicas/debian/rules b/ubuntu/trusty/all/linex-matematicas/debian/rules
new file mode 100755
index 0000000..b760bee
--- /dev/null
+++ b/ubuntu/trusty/all/linex-matematicas/debian/rules
@@ -0,0 +1,13 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+%:
+	dh $@ 
diff --git a/ubuntu/trusty/all/linex-matematicas/debian/source/format b/ubuntu/trusty/all/linex-matematicas/debian/source/format
new file mode 100644
index 0000000..89ae9db
--- /dev/null
+++ b/ubuntu/trusty/all/linex-matematicas/debian/source/format
@@ -0,0 +1 @@
+3.0 (native)
diff --git a/ubuntu/xenial/all/linex-electricidad/debian/changelog b/ubuntu/xenial/all/linex-electricidad/debian/changelog
new file mode 100644
index 0000000..3008de1
--- /dev/null
+++ b/ubuntu/xenial/all/linex-electricidad/debian/changelog
@@ -0,0 +1,5 @@
+linex-electricidad (1.0) linex; urgency=low
+
+  * Initial release. 
+
+ -- Rafael J. García Perdigón <rafael.garciap@gobex.es>  Wed, 29 Oct 2014 10:44:27 +0100
diff --git a/ubuntu/xenial/all/linex-electricidad/debian/compat b/ubuntu/xenial/all/linex-electricidad/debian/compat
new file mode 100644
index 0000000..45a4fb7
--- /dev/null
+++ b/ubuntu/xenial/all/linex-electricidad/debian/compat
@@ -0,0 +1 @@
+8
diff --git a/ubuntu/xenial/all/linex-electricidad/debian/control b/ubuntu/xenial/all/linex-electricidad/debian/control
new file mode 100644
index 0000000..a633c59
--- /dev/null
+++ b/ubuntu/xenial/all/linex-electricidad/debian/control
@@ -0,0 +1,12 @@
+Source: linex-electricidad
+Section: metapackages
+Priority: extra
+Maintainer: Rafael Jesús García Perdigón<rafael.garciap@gobex.es>
+Build-Depends: debhelper (>= 8.0.0)
+Standards-Version: 3.9.4
+
+Package: linex-electricidad
+Architecture: all
+Depends: linex-education-menus,fritzing, kicad, oregano, crocodile-emu-linex
+Description: Install electricity packages.
+  Install electricity packages.
diff --git a/ubuntu/xenial/all/linex-electricidad/debian/copyright b/ubuntu/xenial/all/linex-electricidad/debian/copyright
new file mode 100644
index 0000000..6d796f6
--- /dev/null
+++ b/ubuntu/xenial/all/linex-electricidad/debian/copyright
@@ -0,0 +1,28 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: lingobex-desktop-theme
+
+Files: *
+Copyright: 2014 Gobierno de Extremadura
+License: GPL-3.0+
+
+Files: debian/*
+Copyright: 2014 Gobierno de Extremadura
+License: GPL-3.0+
+
+License: GPL-3.0+
+ This program is free software: you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation, either version 3 of the License, or
+ (at your option) any later version.
+ .
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <http://www.gnu.org/licenses/>.
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".
+
diff --git a/ubuntu/xenial/all/linex-electricidad/debian/rules b/ubuntu/xenial/all/linex-electricidad/debian/rules
new file mode 100755
index 0000000..b760bee
--- /dev/null
+++ b/ubuntu/xenial/all/linex-electricidad/debian/rules
@@ -0,0 +1,13 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+%:
+	dh $@ 
diff --git a/ubuntu/xenial/all/linex-electricidad/debian/source/format b/ubuntu/xenial/all/linex-electricidad/debian/source/format
new file mode 100644
index 0000000..89ae9db
--- /dev/null
+++ b/ubuntu/xenial/all/linex-electricidad/debian/source/format
@@ -0,0 +1 @@
+3.0 (native)