commit b37df286d2357188e418a40af81d8f8df73bee6f
Author: Rafael J. García Perdigón <root@RafaDebian.gobex.pri>
Date:   Wed Jun 7 10:02:24 2017 +0200

    Arreglados para Xenial: linex-fisica, linex-quimica y linex-varios

diff --git a/ubuntu/xenial/all/linex-fisica/debian/changelog b/ubuntu/xenial/all/linex-fisica/debian/changelog
new file mode 100644
index 0000000..e54b0c4
--- /dev/null
+++ b/ubuntu/xenial/all/linex-fisica/debian/changelog
@@ -0,0 +1,11 @@
+linex-fisica (1.1) linex; urgency=medium
+
+  * Borrado crocodile de control puesto que no hay compatibilidad con Xenial.
+
+ -- Rafael J. García Perdigón <rafael.garciap@gobex.es>  Wed, 07 Jun 2017 09:19:56 +0200
+
+linex-fisica (1.0) linex; urgency=low
+
+  * Initial release. 
+
+ -- Rafael J. García Perdigón <rafael.garciap@gobex.es>  Wed, 29 Oct 2014 10:44:27 +0100
diff --git a/ubuntu/xenial/all/linex-fisica/debian/compat b/ubuntu/xenial/all/linex-fisica/debian/compat
new file mode 100644
index 0000000..45a4fb7
--- /dev/null
+++ b/ubuntu/xenial/all/linex-fisica/debian/compat
@@ -0,0 +1 @@
+8
diff --git a/ubuntu/xenial/all/linex-fisica/debian/control b/ubuntu/xenial/all/linex-fisica/debian/control
new file mode 100644
index 0000000..011b579
--- /dev/null
+++ b/ubuntu/xenial/all/linex-fisica/debian/control
@@ -0,0 +1,15 @@
+Source: linex-fisica
+Section: metapackages
+Priority: extra
+Maintainer: Rafael Jesús García Perdigón<rafael.garciap@gobex.es>
+Build-Depends: debhelper (>= 8.0.0)
+Standards-Version: 3.9.4
+
+Package: linex-fisica
+Architecture: all
+Depends: linex-education-menus,
+  avogadro,
+  gperiodic,
+  step
+Description: Install physics packages.
+  Install physics packages.
diff --git a/ubuntu/xenial/all/linex-fisica/debian/copyright b/ubuntu/xenial/all/linex-fisica/debian/copyright
new file mode 100644
index 0000000..6d796f6
--- /dev/null
+++ b/ubuntu/xenial/all/linex-fisica/debian/copyright
@@ -0,0 +1,28 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: lingobex-desktop-theme
+
+Files: *
+Copyright: 2014 Gobierno de Extremadura
+License: GPL-3.0+
+
+Files: debian/*
+Copyright: 2014 Gobierno de Extremadura
+License: GPL-3.0+
+
+License: GPL-3.0+
+ This program is free software: you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation, either version 3 of the License, or
+ (at your option) any later version.
+ .
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <http://www.gnu.org/licenses/>.
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".
+
diff --git a/ubuntu/xenial/all/linex-fisica/debian/rules b/ubuntu/xenial/all/linex-fisica/debian/rules
new file mode 100755
index 0000000..b760bee
--- /dev/null
+++ b/ubuntu/xenial/all/linex-fisica/debian/rules
@@ -0,0 +1,13 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+%:
+	dh $@ 
diff --git a/ubuntu/xenial/all/linex-fisica/debian/source/format b/ubuntu/xenial/all/linex-fisica/debian/source/format
new file mode 100644
index 0000000..89ae9db
--- /dev/null
+++ b/ubuntu/xenial/all/linex-fisica/debian/source/format
@@ -0,0 +1 @@
+3.0 (native)
diff --git a/ubuntu/xenial/all/linex-quimica/debian/changelog b/ubuntu/xenial/all/linex-quimica/debian/changelog
new file mode 100644
index 0000000..518d159
--- /dev/null
+++ b/ubuntu/xenial/all/linex-quimica/debian/changelog
@@ -0,0 +1,11 @@
+linex-quimica (1.1) linex; urgency=medium
+
+  * Borrado crocodile de control puesto que no hay compatibilidad con Xenial.
+
+ -- Rafael J. García Perdigón <rafael.garciap@gobex.es>  Wed, 07 Jun 2017 09:26:35 +0200
+
+linex-quimica (1.0) linex; urgency=low
+
+  * Initial release. 
+
+ -- Rafael J. García Perdigón <rafael.garciap@gobex.es>  Wed, 29 Oct 2014 10:44:27 +0100
diff --git a/ubuntu/xenial/all/linex-quimica/debian/compat b/ubuntu/xenial/all/linex-quimica/debian/compat
new file mode 100644
index 0000000..45a4fb7
--- /dev/null
+++ b/ubuntu/xenial/all/linex-quimica/debian/compat
@@ -0,0 +1 @@
+8
diff --git a/ubuntu/xenial/all/linex-quimica/debian/control b/ubuntu/xenial/all/linex-quimica/debian/control
new file mode 100644
index 0000000..1dd5a83
--- /dev/null
+++ b/ubuntu/xenial/all/linex-quimica/debian/control
@@ -0,0 +1,17 @@
+Source: linex-quimica
+Section: metapackages
+Priority: extra
+Maintainer: Rafael Jesús García Perdigón<rafael.garciap@gobex.es>
+Build-Depends: debhelper (>= 8.0.0)
+Standards-Version: 3.9.4
+
+Package: linex-quimica
+Architecture: all
+Depends: linex-education-menus,
+  avogadro,
+  bkchem,
+  gperiodic,
+  kalzium,
+  xdrawchem
+Description: Install chemistry packages.
+  Install chemistry packages.
diff --git a/ubuntu/xenial/all/linex-quimica/debian/copyright b/ubuntu/xenial/all/linex-quimica/debian/copyright
new file mode 100644
index 0000000..6d796f6
--- /dev/null
+++ b/ubuntu/xenial/all/linex-quimica/debian/copyright
@@ -0,0 +1,28 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: lingobex-desktop-theme
+
+Files: *
+Copyright: 2014 Gobierno de Extremadura
+License: GPL-3.0+
+
+Files: debian/*
+Copyright: 2014 Gobierno de Extremadura
+License: GPL-3.0+
+
+License: GPL-3.0+
+ This program is free software: you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation, either version 3 of the License, or
+ (at your option) any later version.
+ .
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <http://www.gnu.org/licenses/>.
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".
+
diff --git a/ubuntu/xenial/all/linex-quimica/debian/rules b/ubuntu/xenial/all/linex-quimica/debian/rules
new file mode 100755
index 0000000..b760bee
--- /dev/null
+++ b/ubuntu/xenial/all/linex-quimica/debian/rules
@@ -0,0 +1,13 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+%:
+	dh $@ 
diff --git a/ubuntu/xenial/all/linex-quimica/debian/source/format b/ubuntu/xenial/all/linex-quimica/debian/source/format
new file mode 100644
index 0000000..89ae9db
--- /dev/null
+++ b/ubuntu/xenial/all/linex-quimica/debian/source/format
@@ -0,0 +1 @@
+3.0 (native)
diff --git a/ubuntu/xenial/all/linex-varios/debian/changelog b/ubuntu/xenial/all/linex-varios/debian/changelog
new file mode 100644
index 0000000..74d4c06
--- /dev/null
+++ b/ubuntu/xenial/all/linex-varios/debian/changelog
@@ -0,0 +1,11 @@
+linex-varios (1.1) UNRELEASED; urgency=medium
+
+  * Borrada dependencia de kompozer al no estar disponible en xenial.
+
+ -- Rafael J. García Perdigón <rafael.garciap@gobex.es>  Wed, 07 Jun 2017 09:44:39 +0200
+
+linex-varios (1.0) linex; urgency=low
+
+  * Initial release. 
+
+ -- Rafael J. García Perdigón <rafael.garciap@gobex.es>  Wed, 29 Oct 2014 10:44:27 +0100
diff --git a/ubuntu/xenial/all/linex-varios/debian/compat b/ubuntu/xenial/all/linex-varios/debian/compat
new file mode 100644
index 0000000..45a4fb7
--- /dev/null
+++ b/ubuntu/xenial/all/linex-varios/debian/compat
@@ -0,0 +1 @@
+8
diff --git a/ubuntu/xenial/all/linex-varios/debian/control b/ubuntu/xenial/all/linex-varios/debian/control
new file mode 100644
index 0000000..83bbf79
--- /dev/null
+++ b/ubuntu/xenial/all/linex-varios/debian/control
@@ -0,0 +1,20 @@
+Source: linex-varios
+Section: metapackages
+Priority: extra
+Maintainer: Rafael Jesús García Perdigón<rafael.garciap@gobex.es>
+Build-Depends: debhelper (>= 8.0.0)
+Standards-Version: 3.9.4
+
+Package: linex-varios
+Architecture: all
+Depends: linex-education-menus,
+  sece,
+  gtk-recordmydesktop,
+  jclic,
+  scratch,
+  educarex-squeak,
+  stopmotion,
+  tuxtype,
+  linex-exelearning
+Description: Install miscelaneous packages.
+  Install miscelaneous packages.
diff --git a/ubuntu/xenial/all/linex-varios/debian/copyright b/ubuntu/xenial/all/linex-varios/debian/copyright
new file mode 100644
index 0000000..6d796f6
--- /dev/null
+++ b/ubuntu/xenial/all/linex-varios/debian/copyright
@@ -0,0 +1,28 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: lingobex-desktop-theme
+
+Files: *
+Copyright: 2014 Gobierno de Extremadura
+License: GPL-3.0+
+
+Files: debian/*
+Copyright: 2014 Gobierno de Extremadura
+License: GPL-3.0+
+
+License: GPL-3.0+
+ This program is free software: you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation, either version 3 of the License, or
+ (at your option) any later version.
+ .
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <http://www.gnu.org/licenses/>.
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".
+
diff --git a/ubuntu/xenial/all/linex-varios/debian/rules b/ubuntu/xenial/all/linex-varios/debian/rules
new file mode 100755
index 0000000..b760bee
--- /dev/null
+++ b/ubuntu/xenial/all/linex-varios/debian/rules
@@ -0,0 +1,13 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+%:
+	dh $@ 
diff --git a/ubuntu/xenial/all/linex-varios/debian/source/format b/ubuntu/xenial/all/linex-varios/debian/source/format
new file mode 100644
index 0000000..89ae9db
--- /dev/null
+++ b/ubuntu/xenial/all/linex-varios/debian/source/format
@@ -0,0 +1 @@
+3.0 (native)