Index: wifi-ltsp/trunk/parsehostapd/escanea.py
===================================================================
--- wifi-ltsp/trunk/parsehostapd/escanea.py	(revision 53)
+++ wifi-ltsp/trunk/parsehostapd/escanea.py	(revision 54)
@@ -252,6 +252,11 @@
 		es otro diccionario cuyas claves con las características
 		recogidas por iwlist
 	"""
+    
+    #Si hostapd está corriendo iwlist scan no funciona:
+	Popen(["invoke-rc.d","hostapd","stop"]).wait()
+	Popen(["ifconfig",interface,"up"]).wait()
+    
 	cmd = 'iwlist ' + interface + ' scan'
 	resultado = Ejecuta(cmd)
 	# Divide las redes, utilizando Cell como punto de división
Index: wifi-ltsp/trunk/debian/rules
===================================================================
--- wifi-ltsp/trunk/debian/rules	(nonexistent)
+++ wifi-ltsp/trunk/debian/rules	(revision 54)
@@ -0,0 +1,50 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+
+build: build-stamp
+
+build-stamp:
+	dh_testdir
+	touch build-stamp
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp configure-stamp 
+	rm -Rf build
+
+	dh_clean 
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k 
+	dh_installdirs
+	python setup.py install --prefix=/usr    --root=$(CURDIR)/debian/wifi-ltsp
+
+
+# Build architecture-independent files here.
+binary-indep: build install
+	dh_pysupport
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs 
+	dh_installdocs
+	dh_installman 
+	dh_install
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+# Build architecture-dependent files here.
+binary-arch: build install
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install

Property changes on: wifi-ltsp/trunk/debian/rules
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: wifi-ltsp/trunk/debian/control
===================================================================
--- wifi-ltsp/trunk/debian/control	(nonexistent)
+++ wifi-ltsp/trunk/debian/control	(revision 54)
@@ -0,0 +1,19 @@
+Source: wifi-ltsp
+Section: admin
+Priority: optional
+Maintainer: José L. Redrejo Rodríguez <jredrejo@debian.org>
+Standards-Version: 3.8.2
+Build-Depends: debhelper (>= 5.0.37.2), python-support (>= 0.3)
+Build-Depends-Indep: python
+Homepage:http://desarrollo.educarex.es/linex/projects/servidoressecundaria/repository/show/wifi-ltsp
+
+Package: wifi-ltsp
+Architecture: all
+Depends: ${python:Depends}, hostapd
+Description: Hostapd auto configuration
+ Configura automáticamente hostapd en función de la información 
+ recibida desde el servidor del centro con los horarios de los 
+ profesores.
+ .
+ Escoje el mejor canal wifi disponible, autoriza a los alumnos 
+ correspondientes, coloca el essid del aula y reinicia hostapd
Index: wifi-ltsp/trunk/debian/dirs
===================================================================
--- wifi-ltsp/trunk/debian/dirs	(nonexistent)
+++ wifi-ltsp/trunk/debian/dirs	(revision 54)
@@ -0,0 +1 @@
+usr/bin
Index: wifi-ltsp/trunk/debian/compat
===================================================================
--- wifi-ltsp/trunk/debian/compat	(nonexistent)
+++ wifi-ltsp/trunk/debian/compat	(revision 54)
@@ -0,0 +1 @@
+5
Index: wifi-ltsp/trunk/debian/install
===================================================================
--- wifi-ltsp/trunk/debian/install	(nonexistent)
+++ wifi-ltsp/trunk/debian/install	(revision 54)
@@ -0,0 +1 @@
+
Index: wifi-ltsp/trunk/debian/changelog
===================================================================
--- wifi-ltsp/trunk/debian/changelog	(nonexistent)
+++ wifi-ltsp/trunk/debian/changelog	(revision 54)
@@ -0,0 +1,6 @@
+wifi-ltsp (0.1-1) unstable; urgency=low
+
+  * First version
+
+ -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Wed, 09 Feb 2011 12:42:48 +0100
+
Index: wifi-ltsp/trunk/debian/copyright
===================================================================
--- wifi-ltsp/trunk/debian/copyright	(nonexistent)
+++ wifi-ltsp/trunk/debian/copyright	(revision 54)
@@ -0,0 +1,30 @@
+This package was debianized by José L. Redrejo Rodríguez <jredrejo@edu.juntaextremadura.net> on
+Wed, 09 Feb 2011 12:42:48 +0100.
+
+
+Upstream Authors:   José L. Redrejo Rodríguez <jredrejo@edu.juntaextremadura.net>
+                    Francisco Mora Sánchez <adminies.maestrojuancalero@edu.juntaextremadura.net>
+                    Isabel Aparicio Pérez <prog5pe@edu.juntaextremadura.net>
+
+Copyright:
+
+    Copyright (C) 2011 José L. Redrejo Rodríguez <jredrejo@edu.juntaextremadura.net>,
+                            Francisco Mora Sánchez <adminies.maestrojuancalero@edu.juntaextremadura.net>
+                            Isabel Aparicio Pérez <prog5pe@edu.juntaextremadura.net>
+    
+    This program is free software; you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation; either version 3 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program; if not, write to the Free Software
+    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+
+On Debian GNU/Linux systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/GPL'.
Index: wifi-ltsp/trunk/setup.py
===================================================================
--- wifi-ltsp/trunk/setup.py	(nonexistent)
+++ wifi-ltsp/trunk/setup.py	(revision 54)
@@ -0,0 +1,25 @@
+#!/usr/bin/env python
+# -*- coding: utf-8 -*-
+
+from distutils.core import setup
+import os
+
+datafiles = []
+
+
+setup(name='wifi-ltsp',
+	version='0.1',
+	description='Archivos de configuración de hostapd con wifi',
+	long_description = """Really long text here.""",
+	author = 'José L. Redrejo Rodríguez, Francisco Mora Sánchez y Elisa Aparicio Pérez',
+	author_email = 'jredrejo@debian.org',
+	license = "GNU GPLv3",
+    packages=['parsehostapd'],
+	package_dir={'parsehostapd': 'parsehostapd/'},
+	url = 'http://desarrollo.educarex.es/linex/projects/servidoressecundaria/repository/show/wifi-ltsp',
+	# Those are going to be installed on /usr/bin/
+	scripts=['configura_hostapd.py'],
+
+	data_files=datafiles 
+    )
+