Index: controlies/www/ltsp/index.html
===================================================================
--- controlies/www/ltsp/index.html	(nonexistent)
+++ controlies/www/ltsp/index.html	(revision 65)
@@ -0,0 +1,151 @@
+		<!-- Libreria JGrid -->
+		<link rel="stylesheet" type="text/css" media="screen" href="js/jquery/jdgrid/css/ui.jqgrid.css" />
+		<script src="js/jquery/jdgrid/grid.locale-sp.js" type="text/javascript"></script>
+		<script src="js/jquery/jdgrid/jquery.jqGrid.min.js" type="text/javascript"></script>
+		<script src="js/jquery/jdgrid/src/grid.common.js" type="text/javascript"></script>
+		<script src="js/jquery/jdgrid/src/grid.formedit.js" type="text/javascript"></script>
+		<script src="js/jquery/jdgrid/src/grid.custom.js" type="text/javascript"></script>
+
+		<script language="javascript">
+			$(function() {
+				$("#dialog-confirm").dialog({ autoOpen: false });
+				$("#dialog-alert").dialog({ autoOpen: false });
+			});
+			
+			function print_grid(){
+				$("#list").jqGrid({
+					url:'hosts?action=list&type=ltsp',
+					mtype: 'POST', 
+					datatype: "json", 
+					colNames:['Nombre','IP','mac'],
+					colModel:[ 
+						{name:'cn',index:'cn', width:80, align:"center"},
+						{name:'ipHostNumber',index:'ipHostNumber', width:60, align:"center"},
+						{name:'macAddress',index:'macAddress', width:60, align:"center"}
+					], 
+					rowNum:25,
+					height:335,
+					width: 800,
+					rowList:[25,50,75],  
+					pager: '#pager', 
+					sortname: 'cn', 
+					autowidth: false,
+					viewrecords: true, 
+					sortorder: "desc", 
+					caption:"Servidores de Aula (LTSP)"
+				}); 
+
+				$("#list").jqGrid('navGrid','#pager',{add:false,edit:false,del:false,search:false,refresh:false}); 
+				$("#list").jqGrid('navButtonAdd','#pager',{
+					caption: "Insertar",
+					buttonicon :'ui-icon-plus',
+					onClickButton : function (){ 
+						handleRecord('add','Añadir Usuario');
+					} 
+				}); 
+				$("#list").jqGrid('navButtonAdd','#pager',{
+					caption: "Modificar", 
+					buttonicon :'ui-icon-pencil',
+					onClickButton : function (){ 
+						handleRecord('modify','Modificar Usuario');
+					} 
+				}); 
+				$("#list").jqGrid('navButtonAdd','#pager',{
+					caption: "Borrar", 
+					buttonicon :'ui-icon-trash',
+					onClickButton : function (){ 
+						deleteRecord();
+					} 
+				}); 
+
+				$("#list").jqGrid('filterToolbar'); 
+			}
+			
+			function rowSelected(){
+				var id = $("#list").jqGrid('getGridParam','selrow'); 
+
+				if( id == null ){
+					$( "#dialog-alert" ).dialog({
+						resizable: false,
+						height:150,
+						width:290,
+						modal: true,
+						buttons: { "Aceptar": function() { $( this ).dialog( "close" ); }}
+					}).dialog('open');
+					return false;
+				}
+				return id;
+			}
+			
+			function handleRecord(action,title){
+				var id;
+				
+				if(action=="modify"){
+					var id = rowSelected();
+					if(id==false)
+						return false;
+				}
+
+				
+				$("#dialog-form").dialog({
+					resizable: false,
+					modal: true,
+					title: title,
+					open: function(event, ui) {
+						$("#dialog-form").html("");
+						$("#dialog-form").load("users/form.html", function() {
+						  $("#form_data #action").val(action);
+						  $("#form_data #id").val(id);
+						});
+					}
+				});
+			}
+			function deleteRecord(){
+				
+				var id = rowSelected();
+				if(id==false)
+					return false;
+			
+				$( "#dialog-confirm" ).dialog({
+					resizable: false,
+					height:160,
+					width:350,
+					modal: true,
+					buttons: {
+						"Borrar": function() {
+							$.post("users","idUser="+id+"&action=delete", function(data){
+								$( this ).dialog( "close" );
+								$("#list").trigger("reloadGrid");
+							});
+						},
+						"Cancelar": function() {
+							$( this ).dialog( "close" );
+						}
+					}
+				}).dialog('open');
+			}
+		</script>
+
+		<div id="tabla_clientes">
+		<table width="100%">
+		<tr>
+			<td style="width:2%"></td>
+			<td><table id="list" width="100%"></table></td>
+			<td style="width:2%"></td>
+		</tr>
+		</table>
+		<div id="pager" style=""></div> 
+		<div id="filter" style="margin-left:30%;display:none">Search Invoices</div>
+		</div>
+
+		<div id="dialog-form"></div>
+
+		<div id="dialog-confirm" title="¿Borrar el registro seleccionado?" style="display:none;">
+			<p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>Este elemento quedará permanentemente eliminado. ¿Está seguro?</p>
+		</div>
+
+		<div id="dialog-alert" title="Atención" style="display:none;">
+			<p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>Para operar sobre un registro debe seleccionarlo previamente.</p>
+		</div>
+
+		<script language="javascript"> print_grid();</script>

Property changes on: controlies/www/ltsp/index.html
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: controlies/www/thinclients/index.html
===================================================================
--- controlies/www/thinclients/index.html	(nonexistent)
+++ controlies/www/thinclients/index.html	(revision 65)
@@ -0,0 +1,150 @@
+		<!-- Libreria JGrid -->
+		<link rel="stylesheet" type="text/css" media="screen" href="js/jquery/jdgrid/css/ui.jqgrid.css" />
+		<script src="js/jquery/jdgrid/grid.locale-sp.js" type="text/javascript"></script>
+		<script src="js/jquery/jdgrid/jquery.jqGrid.min.js" type="text/javascript"></script>
+		<script src="js/jquery/jdgrid/src/grid.common.js" type="text/javascript"></script>
+		<script src="js/jquery/jdgrid/src/grid.formedit.js" type="text/javascript"></script>
+		<script src="js/jquery/jdgrid/src/grid.custom.js" type="text/javascript"></script>
+
+		<script language="javascript">
+			$(function() {
+				$("#dialog-confirm").dialog({ autoOpen: false });
+				$("#dialog-alert").dialog({ autoOpen: false });
+			});
+			
+			function print_grid(){
+				$("#list").jqGrid({
+					url:'hosts?action=list&type=thinclient',
+					mtype: 'POST', 
+					datatype: "json", 
+					colNames:['Nombre','mac'],
+					colModel:[ 
+						{name:'cn',index:'cn', width:80, align:"center"},
+						{name:'macAddress',index:'dhcpHWAddress', width:60, align:"center"}
+					], 
+					rowNum:25,
+					height:335,
+					width: 800,
+					rowList:[25,50,75],  
+					pager: '#pager', 
+					sortname: 'cn', 
+					autowidth: false,
+					viewrecords: true, 
+					sortorder: "desc", 
+					caption:"Maquinas"
+				}); 
+
+				$("#list").jqGrid('navGrid','#pager',{add:false,edit:false,del:false,search:false,refresh:false}); 
+				$("#list").jqGrid('navButtonAdd','#pager',{
+					caption: "Insertar",
+					buttonicon :'ui-icon-plus',
+					onClickButton : function (){ 
+						handleRecord('add','Añadir Usuario');
+					} 
+				}); 
+				$("#list").jqGrid('navButtonAdd','#pager',{
+					caption: "Modificar", 
+					buttonicon :'ui-icon-pencil',
+					onClickButton : function (){ 
+						handleRecord('modify','Modificar Usuario');
+					} 
+				}); 
+				$("#list").jqGrid('navButtonAdd','#pager',{
+					caption: "Borrar", 
+					buttonicon :'ui-icon-trash',
+					onClickButton : function (){ 
+						deleteRecord();
+					} 
+				}); 
+
+				$("#list").jqGrid('filterToolbar'); 
+			}
+			
+			function rowSelected(){
+				var id = $("#list").jqGrid('getGridParam','selrow'); 
+
+				if( id == null ){
+					$( "#dialog-alert" ).dialog({
+						resizable: false,
+						height:150,
+						width:290,
+						modal: true,
+						buttons: { "Aceptar": function() { $( this ).dialog( "close" ); }}
+					}).dialog('open');
+					return false;
+				}
+				return id;
+			}
+			
+			function handleRecord(action,title){
+				var id;
+				
+				if(action=="modify"){
+					var id = rowSelected();
+					if(id==false)
+						return false;
+				}
+
+				
+				$("#dialog-form").dialog({
+					resizable: false,
+					modal: true,
+					title: title,
+					open: function(event, ui) {
+						$("#dialog-form").html("");
+						$("#dialog-form").load("users/form.html", function() {
+						  $("#form_data #action").val(action);
+						  $("#form_data #id").val(id);
+						});
+					}
+				});
+			}
+			function deleteRecord(){
+				
+				var id = rowSelected();
+				if(id==false)
+					return false;
+			
+				$( "#dialog-confirm" ).dialog({
+					resizable: false,
+					height:160,
+					width:350,
+					modal: true,
+					buttons: {
+						"Borrar": function() {
+							$.post("users","idUser="+id+"&action=delete", function(data){
+								$( this ).dialog( "close" );
+								$("#list").trigger("reloadGrid");
+							});
+						},
+						"Cancelar": function() {
+							$( this ).dialog( "close" );
+						}
+					}
+				}).dialog('open');
+			}
+		</script>
+
+		<div id="tabla_clientes">
+		<table width="100%">
+		<tr>
+			<td style="width:2%"></td>
+			<td><table id="list" width="100%"></table></td>
+			<td style="width:2%"></td>
+		</tr>
+		</table>
+		<div id="pager" style=""></div> 
+		<div id="filter" style="margin-left:30%;display:none">Search Invoices</div>
+		</div>
+
+		<div id="dialog-form"></div>
+
+		<div id="dialog-confirm" title="¿Borrar el registro seleccionado?" style="display:none;">
+			<p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>Este elemento quedará permanentemente eliminado. ¿Está seguro?</p>
+		</div>
+
+		<div id="dialog-alert" title="Atención" style="display:none;">
+			<p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>Para operar sobre un registro debe seleccionarlo previamente.</p>
+		</div>
+
+		<script language="javascript"> print_grid();</script>

Property changes on: controlies/www/thinclients/index.html
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: controlies/www/workstation/index.html
===================================================================
--- controlies/www/workstation/index.html	(nonexistent)
+++ controlies/www/workstation/index.html	(revision 65)
@@ -0,0 +1,151 @@
+		<!-- Libreria JGrid -->
+		<link rel="stylesheet" type="text/css" media="screen" href="js/jquery/jdgrid/css/ui.jqgrid.css" />
+		<script src="js/jquery/jdgrid/grid.locale-sp.js" type="text/javascript"></script>
+		<script src="js/jquery/jdgrid/jquery.jqGrid.min.js" type="text/javascript"></script>
+		<script src="js/jquery/jdgrid/src/grid.common.js" type="text/javascript"></script>
+		<script src="js/jquery/jdgrid/src/grid.formedit.js" type="text/javascript"></script>
+		<script src="js/jquery/jdgrid/src/grid.custom.js" type="text/javascript"></script>
+
+		<script language="javascript">
+			$(function() {
+				$("#dialog-confirm").dialog({ autoOpen: false });
+				$("#dialog-alert").dialog({ autoOpen: false });
+			});
+			
+			function print_grid(){
+				$("#list").jqGrid({
+					url:'hosts?action=list&type=workstation',
+					mtype: 'POST', 
+					datatype: "json", 
+					colNames:['Nombre','IP','mac'],
+					colModel:[ 
+						{name:'cn',index:'cn', width:80, align:"center"},
+						{name:'ipHostNumber',index:'ipHostNumber', width:60, align:"center"},
+						{name:'macAddress',index:'macAddress', width:60, align:"center"}
+					], 
+					rowNum:25,
+					height:335,
+					width: 800,
+					rowList:[25,50,75],  
+					pager: '#pager', 
+					sortname: 'cn', 
+					autowidth: false,
+					viewrecords: true, 
+					sortorder: "desc", 
+					caption:"Maquinas"
+				}); 
+
+				$("#list").jqGrid('navGrid','#pager',{add:false,edit:false,del:false,search:false,refresh:false}); 
+				$("#list").jqGrid('navButtonAdd','#pager',{
+					caption: "Insertar",
+					buttonicon :'ui-icon-plus',
+					onClickButton : function (){ 
+						handleRecord('add','Añadir Usuario');
+					} 
+				}); 
+				$("#list").jqGrid('navButtonAdd','#pager',{
+					caption: "Modificar", 
+					buttonicon :'ui-icon-pencil',
+					onClickButton : function (){ 
+						handleRecord('modify','Modificar Usuario');
+					} 
+				}); 
+				$("#list").jqGrid('navButtonAdd','#pager',{
+					caption: "Borrar", 
+					buttonicon :'ui-icon-trash',
+					onClickButton : function (){ 
+						deleteRecord();
+					} 
+				}); 
+
+				$("#list").jqGrid('filterToolbar'); 
+			}
+			
+			function rowSelected(){
+				var id = $("#list").jqGrid('getGridParam','selrow'); 
+
+				if( id == null ){
+					$( "#dialog-alert" ).dialog({
+						resizable: false,
+						height:150,
+						width:290,
+						modal: true,
+						buttons: { "Aceptar": function() { $( this ).dialog( "close" ); }}
+					}).dialog('open');
+					return false;
+				}
+				return id;
+			}
+			
+			function handleRecord(action,title){
+				var id;
+				
+				if(action=="modify"){
+					var id = rowSelected();
+					if(id==false)
+						return false;
+				}
+
+				
+				$("#dialog-form").dialog({
+					resizable: false,
+					modal: true,
+					title: title,
+					open: function(event, ui) {
+						$("#dialog-form").html("");
+						$("#dialog-form").load("users/form.html", function() {
+						  $("#form_data #action").val(action);
+						  $("#form_data #id").val(id);
+						});
+					}
+				});
+			}
+			function deleteRecord(){
+				
+				var id = rowSelected();
+				if(id==false)
+					return false;
+			
+				$( "#dialog-confirm" ).dialog({
+					resizable: false,
+					height:160,
+					width:350,
+					modal: true,
+					buttons: {
+						"Borrar": function() {
+							$.post("users","idUser="+id+"&action=delete", function(data){
+								$( this ).dialog( "close" );
+								$("#list").trigger("reloadGrid");
+							});
+						},
+						"Cancelar": function() {
+							$( this ).dialog( "close" );
+						}
+					}
+				}).dialog('open');
+			}
+		</script>
+
+		<div id="tabla_clientes">
+		<table width="100%">
+		<tr>
+			<td style="width:2%"></td>
+			<td><table id="list" width="100%"></table></td>
+			<td style="width:2%"></td>
+		</tr>
+		</table>
+		<div id="pager" style=""></div> 
+		<div id="filter" style="margin-left:30%;display:none">Search Invoices</div>
+		</div>
+
+		<div id="dialog-form"></div>
+
+		<div id="dialog-confirm" title="¿Borrar el registro seleccionado?" style="display:none;">
+			<p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>Este elemento quedará permanentemente eliminado. ¿Está seguro?</p>
+		</div>
+
+		<div id="dialog-alert" title="Atención" style="display:none;">
+			<p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>Para operar sobre un registro debe seleccionarlo previamente.</p>
+		</div>
+
+		<script language="javascript"> print_grid();</script>

Property changes on: controlies/www/workstation/index.html
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: controlies/www/main.html
===================================================================
--- controlies/www/main.html	(revision 64)
+++ controlies/www/main.html	(revision 65)
@@ -43,6 +43,21 @@
 				location.href="index.html";
 			});
 		}
+		
+		function loadForm (name,title) {
+			x = ($(window).width()-250)/2;
+			y = ($(window).height()-400)/2;
+			$("#module").html("");			
+			$("#dialog-form").dialog({
+					resizable: false,
+					modal: true,
+					title: title,
+					open: function(event, ui) {
+						$("#dialog-form").load("dhcp/index.html")
+					}
+			}).dialog('option', 'position', [x, y]);
+		}
+		
 	</script>
 
 </head>
@@ -60,10 +75,10 @@
 				<li><a href="javascript:loadModule('groups','')">Grupos</a></li>
 				<li><a href="#">Departamentos</a></li>
 				<li class="empty">Máquinas</li>
-				<li><a href="javascript:loadModule('hosts','LTSP')">Servidores LTSP</a></li>
-				<li><a href="javascript:loadModule('hosts','workStation')">WorkStations</a></li>
-				<li><a href="javascript:loadModule('hosts','thinClient')">Clientes Ligeros</a></li>
-				<li><a href="javascript:loadModule('hosts','portatilPro')">Portátiles Profesores</a></li>
+				<li><a href="javascript:loadModule('ltsp')">Servidores LTSP</a></li>
+				<li><a href="javascript:loadModule('workstation')">WorkStations</a></li>
+				<li><a href="javascript:loadModule('thinclients')">Clientes Ligeros</a></li>
+				<li><a href="javascript:loadModule('portatilpro')">Portátiles Profesores</a></li>				
 				<li><a href="javascript:loadForm('show','Parametros DHCP')">Parámetros DHCP</a></li>
 			</ul>
 		</li>